package org.dromara.mp.domain.vo;

import lombok.Data;
import org.dromara.common.core.utils.StringUtils;

import java.io.Serializable;
import java.util.Date;

/**
 * @author sunzexing
 * @version 1.0
 * @title MyTaskVo
 * @description
 * @create 2024-05-08 18:42
 */

@Data
public class MyTaskVo implements Serializable {


    //任务ID
    private Long id;

    //任务标题
    private String proName;

    //佣金
    private Long yj;

    //最大佣金
    private Long maxYj;

    //行业
    private String hy;


    //佣金
    private String yjStr;

    //项目编号
    private String no;


    //派单类型
    private Integer proType;


    private Date  createTime;


    //发布时间
    private String publishTime;



    //派单类型中文
    private String  proTypeStr;

    //竞标状态（1:竞标中 2:竞标失败 3:竞标成功）
    private Integer verifyStatus;

    //完工状态（0:未完成 1:已完成 2:验收驳回 3:验收通过 ）
    private Integer taskStatus;

    public String getYjStr() {
        return StringUtils.fenToYuanFormatter(this.yj);
    }



    public String getProTypeStr() {

        if(this.proType != null){
            if( 1 == proType ){
                return "派单";
            }else{
                return "抢单";
            }
        }else{
            return "--";
        }

    }




}
